Issue 97190

Summary: Impress crashes: Load blank template and double click this blank template in Slide design dialog
Product: Impress Reporter: amy2008 <amy2008>
Component: codeAssignee: wolframgarten
Status: CLOSED FIXED QA Contact: issues@graphics <issues>
Severity: Trivial    
Priority: P2 CC: issues, peter.junge
Version: DEV300m37   
Target Milestone: OOo 3.1   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 84292    

Description amy2008 2008-12-12 09:07:56 UTC
Can reproduce it with Dev300m37 on WindowXP and Ubuntu

How to reproduce it
1 Create a new Impress document
2 Call Slide Design dialog by right-click in thumbnail, click 'Load' 
button, 'Load Slide Design' dialog appears, select 'My Templates' in 
Categories, then double-click the blank area on the 'Templates' list. Now, we 
can find a new blank template was inserted, double-click this new blank template
3 After step2, if there is nothing happened, please redo it following the step2

Result
Impress crashed

Expectation
At step 2,  double-click the blank area on the 'Templates' list in 'Load Slide 
Design' dialog, the new blank template shouldn't be inserted.
Comment 1 wolframgarten 2008-12-12 09:52:50 UTC
Reproducible. Reassigned.
Comment 2 wolframgarten 2008-12-12 10:02:06 UTC
The ID of the error report is rk5x2uc.
Comment 3 groucho266 2009-01-12 12:58:30 UTC
Crashes in SdStyleSheetPool::CreateChildList(SdStyleSheet*) beause of the use of
static_cast<SdStyleSheet*> on a non-SdStyleSheet object.

Fixed by using a dynamic_cast instead.

Modified file is sd/source/core/stlpool.cxx, rev. 266155.
Comment 4 groucho266 2009-01-20 09:57:23 UTC
@WG: Please verify.
Comment 5 wolframgarten 2009-01-26 15:13:05 UTC
Verified in CWS.
Comment 6 wolframgarten 2009-02-17 08:32:35 UTC
Tested in OOO310_m1. Closed.